#### D.6.10.3 CurveParam

Procedure from library `curvepar.lib` (see curvepar_lib).

Usage:
  CurveParam(I);
  I ideal

Assume:
  I is an ideal of a curve C with a singular point 0.

Compute:
  Parametrization for algebraic branches of the curve C.

Return:
  list L of size 1.
  L[1] is a ring ring rt=0,(t,a),ds;
  Ring R contains a list Param
  Param is a list of algebraic branches
  Each Param[i] is a list of size 3
  Param[i][1] is a list of polynomials
  Param[i][2] is an irredusible polynomial f\in k[a].It is a minimal polynomial for the parameter a.
  Param[i][3] is an integer b--upper bound for the conductor of Weierstrass semigroup

Example:

    LIB "curvepar.lib";
    ring r=0,(x,y,z),dp;
    ideal i=x2-y3,z2-y5;
    def s=CurveParam(i);
    setring s;
    Param;
    ==> [1]:
    ==>    [1]:
    ==>       [1]:
    ==>          t3
    ==>       [2]:
    ==>          t2
    ==>       [3]:
    ==>          -t5
    ==>    [2]:
    ==>       a
    ==>    [3]:
    ==>       38
    ==> [2]:
    ==>    [1]:
    ==>       [1]:
    ==>          t3
    ==>       [2]:
    ==>          t2
    ==>       [3]:
    ==>          t5
    ==>    [2]:
    ==>       a
    ==>    [3]:
    ==>       38

User manual for Singular version 4.4.1, 2025, generated by texi2html.